--- apt-setup-0.83/generators/40cdrom.orig	2013-05-12 03:49:10.000000000 -0700
+++ apt-setup-0.83/generators/40cdrom	2013-10-05 23:00:57.278336878 -0700
@@ -40,23 +40,29 @@
 	exit 0
 fi
 
-cd_mountable=1
-db_get cdrom-detect/hybrid || true
-if [ "$RET" = true ] || [ -d /hd-media ]; then
+# why isn't this function, or something like it,
+# in /usr/share/debconf/confmodule ?
+
+db_getval()
+{
+	db_get "$1" && echo "$RET" || true
+}
+
+if [ -d /hd-media ] ||
+	[ "$(db_getval cdrom-detect/hybrid)" = true ] ||
+	[ "$(db_getval cdrom-detect/usb-hdd)" = true ] ||
+	[ "$(db_getval cdrom-detect/cdrom_loopdev)" ]
+then
 	cd_mountable=""
 else
-	db_get cdrom-detect/usb-hdd || true
-	if [ "$RET" = true ]; then
-		cd_mountable=""
-	fi
+	cd_mountable=1
 fi
 
-remount_cd() {
+remount_cd()
+{
 	if [ "$ROOT" ] && [ "$cd_mountable" ]; then
-		fs=iso9660
-		if db_get cdrom-detect/cdrom_fs && [ "$RET" ]; then
-			fs="$RET"
-		fi
+		fs=$(db_getval cdrom-detect/cdrom_fs)
+		[ "$fs" ] || fs=iso9660
 		OS=$(udpkg --print-os)
 		case "$OS" in
 			hurd)
@@ -66,8 +72,8 @@
 				OPTIONS=ro,exec
 				;;
 		esac
-		db_get cdrom-detect/cdrom_device
-		$logoutput mount -t "$fs" -o $OPTIONS $RET /cdrom || true
+		device=$(db_getval cdrom-detect/cdrom_device)
+		$logoutput mount -o $OPTIONS -t $fs $device /cdrom || true
 	fi
 }
 
